import os
import sys
import platform
import fileinput

launcher_script_name = "MS_LiveLinkLauncher.py"
livelink_script_name = "MS_ClLiveLink.py"
livelink_exe_name = "MS_ClLiveLink.exe"
icon_file_name = "MS_Logo.png"

if len(sys.argv) > 1:
	base_path = sys.argv[1]
else :
	sys.exit(1)


livelink_path = os.path.join(base_path, "MSLiveLink")

if not os.path.isdir(livelink_path):
	sys.exit(1)

launcher_path = os.path.join(livelink_path, launcher_script_name)
livelink_script_path = os.path.join(livelink_path, livelink_script_name)
livelink_exe_path = os.path.join(livelink_path, livelink_exe_name)

icon_path = os.path.join(livelink_path, icon_file_name)

supported_clarisse = ["4.0"]

if platform.system().lower() == "windows":
	launcher_path = launcher_path.replace("\\", "/")
	icon_path = icon_path.replace("\\", "/")

livelink_clarisse_cfg ='''
	category "Quixel Megascans" {
            shelf_item {
                title "MS_LiveLink"
                script_filename "%s"
                icon_filename "%s"
            }
        }'''%(launcher_path,icon_path)

remove_begin_string = 'category "Quixel Megascans" {'

def uninstall_livelink():
	try :
		clarisse_path = ""
		clarisse_config = "shelf.cfg"
		if platform.system().lower() == "windows":
			clarisse_path = os.path.join(os.getenv('APPDATA'), "Isotropix\\Clarisse")
		elif platform.system().lower().startswith("linux"):
			clarisse_path = os.path.join(os.path.expanduser("~"), ".isotropix/Clarisse")
		elif platform.system().lower() == "darwin":
			homedir = os.path.expanduser('~')
			clarisse_path = homedir + '/Library/Preferences/Isotropix/Clarisse'

		clarisse_versions = os.listdir(clarisse_path)
		for installed_clarisse in clarisse_versions:			
			if installed_clarisse in supported_clarisse:
				clarisse_dir = os.path.join(clarisse_path, installed_clarisse)
				config_path = os.path.join(clarisse_dir, clarisse_config)
				if not os.path.isfile(config_path):
					return			
				
				file = fileinput.input(config_path, inplace=True)
				for line in file:
					if remove_begin_string in line:
						for _ in range(6): # skip this line and next 4 lines
							next(file, None)
					else:
						print line,

	except Exception as e:
		pass


uninstall_livelink()